org.apache.ode.bpel.common

## Class FaultException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ode.bpel.common.FaultException

- All Implemented Interfaces:
    java.io.Serializable

      public class FaultException
      extends java.lang.Exception

  Encapsulates an exception that should result in a known named fault being thrown within a BPEL process.

  As per BPEL specification, appendix A.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FaultException(javax.xml.namespace.QName qname)`
    `FaultException(javax.xml.namespace.QName qname, java.lang.String message)` Create a new instance.
    `FaultException(javax.xml.namespace.QName qname, java.lang.String message, java.lang.Throwable cause)`
    `FaultException(javax.xml.namespace.QName qname, java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.namespace.QName` | `getQName()` Get the (official) `QName` of this fault.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FaultException

          public FaultException(javax.xml.namespace.QName qname,
                                java.lang.String message)

      Create a new instance.
      Parameters:
        `qname` - the `QName` of the fault
        `message` - a descriptive message for the exception

    - #### FaultException

          public FaultException(javax.xml.namespace.QName qname)

    - #### FaultException

          public FaultException(javax.xml.namespace.QName qname,
                                java.lang.String message,
                                java.lang.Throwable cause)

    - #### FaultException

          public FaultException(javax.xml.namespace.QName qname,
                                java.lang.Throwable cause)

  - ### Method Detail

    - #### getQName

          public javax.xml.namespace.QName getQName()

      Get the (official) `QName` of this fault.
      Returns:
        the `QName` of the fault